Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.providers.authentication
Interface CustomDBMSAuthenticatorPlugin

public interface CustomDBMSAuthenticatorPlugin

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `initialize(ProviderMBean mBean)` Executed on initialization of the CustomDBMSAuthenticatorPlugin.
`String` | `lookupPassword(Connection connection, String user)` Called during authentication process to retrieve password for user.
`String[]` | `lookupUserGroups(Connection connection, String user)` Called during authentication and identity assertion to determine the users group membership.
`void` | `shutdown()` Executed on shutdown of the authentication provider, or if the plugin is replaced dynamically at runtime with another implementation class.
`boolean` | `userExists(Connection connection, String user)` Called during Identity Assertion to verify existence of user.

Method Detail

### initialize

    public void initialize(ProviderMBean mBean)

  Executed on initialization of the CustomDBMSAuthenticatorPlugin.

  Parameters:
    `mBean` - providerMBean for provider using the plugin

### lookupPassword

    public String lookupPassword(Connection connection,
                                 String user)
                          throws SQLException

  Called during authentication process to retrieve password for user.

  Parameters:
    `connection` - JDBC connection
    `user` - String representing the username
  Returns:
    String representing the password in one of the supported formats
  Throws:
    `SQLException` - if a database access error occurs

### lookupUserGroups

    public String[] lookupUserGroups(Connection connection,
                                     String user)
                              throws SQLException

  Called during authentication and identity assertion to determine the users group membership.

  Parameters:
    `connection` - connection to the database
    `user` - String representing the username
  Returns:
    an array of group strings, or `null` for no groups
  Throws:
    `SQLException` - if a database access error occurs

### shutdown

    public void shutdown()

  Executed on shutdown of the authentication provider, or if the plugin is replaced dynamically at runtime with another implementation class.

### userExists

    public boolean userExists(Connection connection,
                              String user)
                       throws SQLException

  Called during Identity Assertion to verify existence of user.

  Parameters:
    `connection` - JDBC connection
    `user` - String representing the username
  Returns:
    boolean indicating whether the user exists or not. `True` if user exists, `false` if not
  Throws:
    `SQLException` - if a database access error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD